### Struct

# PangoAttrList

#### Description [src]

    struct PangoAttrList {
      /* No available fields */
    }

A `PangoAttrList` represents a list of attributes that apply to a section of text.

The attributes in a `PangoAttrList` are, in general, allowed to overlap in an arbitrary fashion. However, if the attributes are manipulated only through `pango_attr_list_change()`, the overlap between properties will meet stricter criteria.

Since the `PangoAttrList` structure is stored as a linear list, it is not suitable for storing attributes for large amounts of text. In general, you should not use a single `PangoAttrList` for more than one paragraph of text.

#### Constructors

###### pango_attr_list_new

Create a new empty attribute list with a reference count of one.

#### Functions

###### pango_attr_list_from_string

Deserializes a `PangoAttrList` from a string.

since: 1.50

#### Instance methods

###### pango_attr_list_change

Insert the given attribute into the `PangoAttrList`.

###### pango_attr_list_copy

Copy `list` and return an identical new list.

###### pango_attr_list_equal

Checks whether `list` and `other_list` contain the same attributes and whether those attributes apply to the same ranges.

since: 1.46

###### pango_attr_list_filter

Given a `PangoAttrList` and callback function, removes any elements of `list` for which `func` returns `TRUE` and inserts them into a new list.

since: 1.2

###### pango_attr_list_get_attributes

Gets a list of all attributes in `list`.

since: 1.44

###### pango_attr_list_get_iterator

Create a iterator initialized to the beginning of the list.

###### pango_attr_list_insert

Insert the given attribute into the `PangoAttrList`.

###### pango_attr_list_insert_before

Insert the given attribute into the `PangoAttrList`.

###### pango_attr_list_ref

Increase the reference count of the given attribute list by one.

since: 1.10

###### pango_attr_list_splice

This function opens up a hole in `list`, fills it in with attributes from the left, and then merges `other` on top of the hole.

###### pango_attr_list_to_string

Serializes a `PangoAttrList` to a string.

since: 1.50

###### pango_attr_list_unref

Decrease the reference count of the given attribute list by one.

###### pango_attr_list_update

Update indices of attributes in `list` for a change in the text they refer to.

since: 1.44